import { Component } from '@angular/core';
// Importing the draggable component in the project.
import { CdkDragDrop, moveItemInArray } from '@angular/cdk/drag-drop';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})

export class AppComponent {
  title = 'Angular Drag and Drop Tutorial';
  products = ['Product 1', 'Product 2', 'Product 3', 'Product 4', 'Product 5'];

  /*
    a. onDrop event is called, when the product is dropped.
    b. moveItemInArray function arranges the array according to the indexes.
  */
  onDrop(event: CdkDragDrop<string[]>) {
    moveItemInArray(this.products, event.previousIndex, event.currentIndex);
  }
}
